API referencePaymentTerm
POST /api/PaymentTerm/Post
This endpoint will create a new Payment Term if the ID is null or zero, or update an existing Payment Term if a valid ID is provided. For creation, do not include an ID or set the ID to zero in the request body. For updating, include the existing Payment Term ID and the updated data in the request body.
POST
/api/PaymentTerm/Postcurl -X POST "/api/PaymentTerm/Post" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": [
{
"id": 0,
"name": "string",
"settlementPeriod": -6,
"settlementPeriodName": "string",
"offsetPeriod": 0,
"offsetDays": 0,
"dayType": 1,
"dayTypeName": "string",
"reference": 1,
"referenceName": "string",
"decimalPoints": 0,
"memo": "string"
}
]
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataEtrmApiGateway.DTOs.BackOffice.PaymentTermsCreationDto[] | null
Response
application/json
A list of PaymentTerms.
successbooleanrecordCountinteger<int32>dataEtrmApiGateway.DTOs.BackOffice.PaymentTermsDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"id": 0,
"name": "string",
"settlementPeriod": -6,
"settlementPeriodName": "string",
"offsetPeriod": 0,
"offsetDays": 0,
"dayType": 1,
"dayTypeName": "string",
"reference": 1,
"referenceName": "string",
"decimalPoints": 0,
"memo": "string",
"createdAt": "2026-01-15T09:30:00Z",
"modifiedAt": "2026-01-15T09:30:00Z"
}
]
}